﻿//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm3 *Form3;
//#define DllExport   __declspec( dllexport )
typedef void (CALLBACK* lpopenport)(char *);
typedef void (CALLBACK* lpcloseport)();
typedef void (CALLBACK* lpbeginjob)(int,int,int,int,int,int);
typedef int (CALLBACK* lpendjob)();
typedef void (CALLBACK* lpsendcommand)(char *);
typedef int (CALLBACK* lpecTextOutR)(int,int,int,char * ,char*,int,int,int);
lpopenport openport;
lpcloseport closeport;
lpsendcommand sendcommand;
lpbeginjob beginjob;
lpendjob endjob;
lpecTextOutR ecTextOutR;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
	: TForm(Owner)
{
	
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Button1Click(TObject *Sender)
{
	openport("Godex EZ-1300 300dpi");
	beginjob(50,5,2,0,2,0);
	sendcommand("^L");
	sendcommand("BA,40,40,2,4,25,0,1,12345");
	ecTextOutR(20,10,34,"細明體","科誠",2,60,0);
	sendcommand("E");
	endjob();
	closeport();
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FormClose(TObject *Sender, TCloseAction &Action)
{
	if (hLib != NULL) {
		FreeLibrary(hLib);
	}
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FormCreate(TObject *Sender)
{
	String DllName = ExtractFilePath(Application->ExeName)+String("ezweb.dll");
	if (FileExists(DllName)) {

	}
	hLib=LoadLibrary(DllName.c_str());
	if (hLib == NULL) {
		this->Close();
	}
	else
	{
		openport =(lpopenport ) GetProcAddress(hLib,"openport"); 	// name of function
		closeport = (lpcloseport) GetProcAddress(hLib,"closeport");
		beginjob = (lpbeginjob) GetProcAddress(hLib,"beginjob");
		endjob = (lpendjob) GetProcAddress(hLib,"endjob");
		sendcommand = (lpsendcommand) GetProcAddress(hLib,"sendcommand");
		ecTextOutR = (lpecTextOutR) GetProcAddress(hLib,"ecTextOutR");

	}
}
//---------------------------------------------------------------------------

